This patch unifies the socket_mPGA604_800Mhz and socket_mPGA604_533Mhz to a
combined socket_mPGA604. No other sockets come with clock rates, and there is
no difference in code, except for the number of microcode patches included in a
build.

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>

Index: src/cpu/intel/socket_mPGA604_800Mhz/Config.lb
===================================================================
--- src/cpu/intel/socket_mPGA604_800Mhz/Config.lb	(revision 4168)
+++ src/cpu/intel/socket_mPGA604_800Mhz/Config.lb	(working copy)
@@ -1,4 +0,0 @@
-config chip.h
-object socket_mPGA604_800Mhz.o
-dir /cpu/intel/model_f3x
-dir /cpu/intel/model_f4x
Index: src/cpu/intel/socket_mPGA604_800Mhz/chip.h
===================================================================
--- src/cpu/intel/socket_mPGA604_800Mhz/chip.h	(revision 4168)
+++ src/cpu/intel/socket_mPGA604_800Mhz/chip.h	(working copy)
@@ -1,4 +0,0 @@
-extern struct chip_operations cpu_intel_socket_mPGA604_800Mhz_ops;
-
-struct cpu_intel_socket_mPGA604_800Mhz_config {
-};
Index: src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c
===================================================================
--- src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c	(revision 4168)
+++ src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c	(working copy)
@@ -1,7 +0,0 @@
-#include <device/device.h>
-#include "chip.h"
-
-
-struct chip_operations cpu_intel_socket_mPGA604_800Mhz_ops = {
-	CHIP_NAME("Socket mPGA604 800Mhz CPU")
-};
Index: src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
===================================================================
--- src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c	(revision 4168)
+++ src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c	(working copy)
@@ -1,7 +0,0 @@
-#include <device/device.h>
-#include "chip.h"
-
-
-struct chip_operations cpu_intel_socket_mPGA604_533Mhz_ops = {
-	CHIP_NAME("Socket mPGA604 533Mhz CPU")
-};
Index: src/cpu/intel/socket_mPGA604_533Mhz/Config.lb
===================================================================
--- src/cpu/intel/socket_mPGA604_533Mhz/Config.lb	(revision 4168)
+++ src/cpu/intel/socket_mPGA604_533Mhz/Config.lb	(working copy)
@@ -1,3 +0,0 @@
-config chip.h
-object socket_mPGA604_533Mhz.o
-dir /cpu/intel/model_f2x
Index: src/cpu/intel/socket_mPGA604_533Mhz/chip.h
===================================================================
--- src/cpu/intel/socket_mPGA604_533Mhz/chip.h	(revision 4168)
+++ src/cpu/intel/socket_mPGA604_533Mhz/chip.h	(working copy)
@@ -1,4 +0,0 @@
-extern struct chip_operations cpu_intel_socket_mPGA604_533Mhz_ops;
-
-struct cpu_intel_socket_mPGA604_533Mhz_config {
-};
Index: src/mainboard/supermicro/x6dai_g/Config.lb
===================================================================
--- src/mainboard/supermicro/x6dai_g/Config.lb	(revision 4168)
+++ src/mainboard/supermicro/x6dai_g/Config.lb	(working copy)
@@ -187,10 +187,10 @@
 		device pci 08.0 on end
 	end
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu0
+		chip cpu/intel/socket_mPGA604 # cpu0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu1
+		chip cpu/intel/socket_mPGA604 # cpu1
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/supermicro/x6dhe_g/Config.lb
===================================================================
--- src/mainboard/supermicro/x6dhe_g/Config.lb	(revision 4168)
+++ src/mainboard/supermicro/x6dhe_g/Config.lb	(working copy)
@@ -210,10 +210,10 @@
 	end
 
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz  	# CPU 0
+		chip cpu/intel/socket_mPGA604  	# CPU 0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz 	# CPU 1
+		chip cpu/intel/socket_mPGA604 	# CPU 1
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/supermicro/x6dhe_g2/Config.lb
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/Config.lb	(revision 4168)
+++ src/mainboard/supermicro/x6dhe_g2/Config.lb	(working copy)
@@ -210,10 +210,10 @@
 	end
 
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz  	# CPU 0
+		chip cpu/intel/socket_mPGA604  	# CPU 0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz 	# CPU 1
+		chip cpu/intel/socket_mPGA604 	# CPU 1
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/supermicro/x6dhr_ig/Config.lb
===================================================================
--- src/mainboard/supermicro/x6dhr_ig/Config.lb	(revision 4168)
+++ src/mainboard/supermicro/x6dhr_ig/Config.lb	(working copy)
@@ -206,10 +206,10 @@
 		device pci 06.0 on end
 	end
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 0
+		chip cpu/intel/socket_mPGA604 # cpu 0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 1
+		chip cpu/intel/socket_mPGA604 # cpu 1
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/supermicro/x6dhr_ig2/Config.lb
===================================================================
--- src/mainboard/supermicro/x6dhr_ig2/Config.lb	(revision 4168)
+++ src/mainboard/supermicro/x6dhr_ig2/Config.lb	(working copy)
@@ -197,10 +197,10 @@
 		device pci 06.0 on end
 	end
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 0
+		chip cpu/intel/socket_mPGA604 # cpu 0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 1
+		chip cpu/intel/socket_mPGA604 # cpu 1
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/tyan/s2735/Config.lb
===================================================================
--- src/mainboard/tyan/s2735/Config.lb	(revision 4168)
+++ src/mainboard/tyan/s2735/Config.lb	(working copy)
@@ -172,10 +172,10 @@
 		end # SB
         end # PCI_DOMAIN
         device apic_cluster 0 on
-                chip cpu/intel/socket_mPGA604_533Mhz
+                chip cpu/intel/socket_mPGA604
                         device apic 0 on end
                 end
-                chip cpu/intel/socket_mPGA604_533Mhz
+                chip cpu/intel/socket_mPGA604
                         device apic 6 on end
                 end
         end
Index: src/mainboard/dell/s1850/Config.lb
===================================================================
--- src/mainboard/dell/s1850/Config.lb	(revision 4168)
+++ src/mainboard/dell/s1850/Config.lb	(working copy)
@@ -193,10 +193,10 @@
 		device pci 06.0 on end
 	end
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 0
+		chip cpu/intel/socket_mPGA604 # cpu 0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 1
+		chip cpu/intel/socket_mPGA604 # cpu 1
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/intel/xe7501devkit/Config.lb
===================================================================
--- src/mainboard/intel/xe7501devkit/Config.lb	(revision 4168)
+++ src/mainboard/intel/xe7501devkit/Config.lb	(working copy)
@@ -212,10 +212,10 @@
 		end # SB
 	end # PCI_DOMAIN
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_533Mhz
+		chip cpu/intel/socket_mPGA604
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_533Mhz
+		chip cpu/intel/socket_mPGA604
 			device apic 6 on end
 		end
 	end
Index: src/mainboard/intel/jarrell/Config.lb
===================================================================
--- src/mainboard/intel/jarrell/Config.lb	(revision 4168)
+++ src/mainboard/intel/jarrell/Config.lb	(working copy)
@@ -203,10 +203,10 @@
 		end
 	end
 	device apic_cluster 0 on
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 0
+		chip cpu/intel/socket_mPGA604 # cpu 0
 			device apic 0 on end
 		end
-		chip cpu/intel/socket_mPGA604_800Mhz # cpu 1
+		chip cpu/intel/socket_mPGA604 # cpu 1
 			device apic 6 on end
 		end
 	end
